> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pearls

> Retrieves all Pearls



## OpenAPI

````yaml get /v2/Pearl
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v2
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
  - oauth2_client_credentials: []
tags:
  - name: Pearl
    description: >-
      Manage your Pearls, the AI agents that handle your inbound and outbound
      calls. Create and configure Pearls, retrieve their details and settings,
      run or pause them, list and bulk-export their calls, monitor calls in
      progress, get analytics, and reset a customer's conversation memory.
paths:
  /v2/Pearl:
    get:
      tags:
        - Pearl
      summary: Get Pearls
      description: Retrieves all Pearls
      responses:
        '200':
          description: List of all the pearls for the client.
          content:
            text/plain:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectListApiView'
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectListApiView'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ProjectListApiView'
        '400':
          description: Error
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    ProjectListApiView:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the pearl.
          nullable: true
        name:
          type: string
          description: The name of the pearl.
          nullable: true
        createdAt:
          type: string
          description: The date and time when the pearl was created.
          format: date-time
        type:
          allOf:
            - $ref: '#/components/schemas/eProjectType'
          description: |+
            Defines the type of activity of the pearl.

            `1 - Inbound`

            `2 - Outbound`

          nullable: true
        status:
          allOf:
            - $ref: '#/components/schemas/eActivityStatus'
          description: |+
            Here is the activity status

            `1 - Running`

            `2 - Paused`

            `3 - Suspended`

            `10 - TemporaryMaintenance`

      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
    eProjectType:
      type: integer
      description: |+
        Defines the type of activity of the pearl.

        `1 - Inbound`

        `2 - Outbound`

      format: int32
    eActivityStatus:
      type: integer
      description: |+
        Here is the activity status

        `1 - Running`

        `2 - Paused`

        `3 - Suspended`

        `10 - TemporaryMaintenance`

      format: int32
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer
    oauth2_client_credentials:
      type: oauth2
      description: >-
        OAuth2 client_credentials grant. Use the Id of an OAuth API key as
        `client_id` and its one-time secret as `client_secret`.
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes:
            pearls:read: List and view Pearls
            pearls:write: >-
              Create and update Pearls (settings, conversation flows, voices);
              implies pearls:read
            pearls:moderate: Run/pause Pearls and reset customer memory; implies pearls:read
            pearls:analytics: Read Pearl analytics; implies pearls:read
            pearls:leads: Manage and read outbound leads; implies pearls:read
            pearls:calls: >-
              Read calls and recordings, make and delete calls; implies
              pearls:read
            account:phone_numbers: Read account phone numbers and text channels
            account:users: Read account users
            account:advanced: Manage advanced account settings (blacklist)
            account:billing: Read account information and credit balance
            account:audit_log: Read the audit log
            tts: Synthesise speech and clone voices

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.